/*
 * This code contains copyright information which is the proprietary property
 * of SITA Information Networking Computing USA Inc. No part of this code may
 * be reproduced, stored or transmitted in any form without the prior written
 * permission of SITA Information Networking Computing USA Inc.
 *
 * Copyright SITA INC USA, SITA INC Ireland 2014-2024
 * All rights reserved.
 */

* {
  outline: none !important;
  font-family: "Arial";
}

#root {
  display: flex; /* Use flexbox */
  flex-direction: column;
}

.App {
  display: flex;
  flex-direction: column;
  flex: 1;
  background-color: #ebebe3;
  margin: 0px;
  padding: 0px;
  min-width: 950px;
  color: #6f6e5f;
  font-size: 12px;
  justify-content: center;
  align-content: stretch;
}

/* AMG Correcting background image location */
.body {
  background-image: url("../static/img/main_background.png");
  background-repeat: no-repeat;
  background-position: top right;
  background-size: cover;
}

.layoutContainer {
  display: flex; /* Use flexbox */
  flex-direction: column; /* Arrange children vertically */
  flex: 1;
}

.mainContainer {
  display: flex; /* Use flexbox */
  flex-direction: column; /* Arrange children vertically */
  flex: 1;
  overflow: auto; /* Show scrollbars if content overflows */
}

.system_health_item {
    padding-top: 3px;
    padding-bottom: 3px;
}

.outlet {
  display: flex; /* Use flexbox */
  flex-direction: column; /* Arrange children vertically */
  flex-grow: 1;
  /* height: 100%; */
  margin-right: 5px;
  margin-left: 5px;
  margin-top: 5px;
}

.black {
  color: #000;
}

input {
  border: 1px solid #a9a9a9;
}

#login_upgradePanel, #update_password_page {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: #ebebe3;
}

.centerDiv {
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
  transform: translateX(-50%);
}

a,
a:visited {
  text-decoration: none;
  outline: none;
}
a:hover {
  text-decoration: underline;
}

a.default-link,
a:visited.default-link {
  color: #0079c1 !important;
}

a:hover.default-link {
  color: #f58220 !important;
}

a:hover.link-hover-blue {
  color: #0079c1 !important;
}

hr {
  border-width: 0px;
  border-bottom: 1px solid #817569;
}

span {
  word-wrap: break-word;
}

label.required:after {
  color: #fd041b;
  content: " *";
}

.radioButtonSpacing {
  margin-left: 10px;
}

.spacing-0-5 {
  width: 25px;
}

.spacing-1 {
  width: 50px;
}

.spacing-2 {
  width: 100px;
}

.spacing-2-5 {
  width: 125px;
}

.spacing-3 {
  width: 150px;
}

.spacing-3-2 {
  width: 160px;
}

.spacing-3-9 {
  width: 199px;
}

.spacing-4 {
  width: 200px;
}

.spacing-4-1 {
  width: 205px;
}

.spacing-4-2-5 {
  width: 212px;
}

.spacing-4-5 {
  width: 225px;
}

.spacing-5 {
  width: 250px;
}

.spacing-6 {
  width: 300px;
}

.spacing-6-5 {
  width: 325px;
}

.spacing-7 {
  width: 350px;
}

.spacing-8 {
  width: 400px;
}

.spacing-9 {
  width: 450px;
}

.spacing-10 {
  width: 500px;
}

.spacing-11 {
  width: 550px;
}

.spacing-12 {
  width: 600px;
}

.spacing-13 {
  width: 650px;
}

.spacing-14 {
  width: 700px;
}

.spacing-15 {
  width: 750px;
}

.spacing-16 {
  width: 800px;
}

.height-1 {
  height: 52px;
}

.height-2 {
  height: 100px;
}

.height-3 {
  height: 150px;
}

.height-4 {
  height: 200px;
}

.height-5 {
  height: 250px;
}

.height-6 {
  height: 300px;
}

.height-6-5 {
  height: 325px;
}

.height-7 {
  height: 350px;
}

.height-7-2 {
  height: 365px;
}

.height-8 {
  height: 400px;
}

.height-8-9 {
  height: 445px;
}

.height-9 {
  height: 450px;
}

.height-9-1 {
  height: 460px;
}

.height-9-5 {
  height: 475px;
}

.height-9-9 {
  height: 490px;
}

.height-10 {
  height: 500px;
}

.height-11 {
  height: 550px;
}

.height-11-5 {
  height: 575px;
}

.height-12 {
  height: 600px;
}

.height-13 {
  height: 650px;
}

.height-14 {
  height: 700px;
}

.height-15 {
  height: 750px;
}

.height-16 {
  height: 800px;
}

label,
span.spacing-0-5,
span.spacing-1,
span.spacing-2,
span.spacing-3,
span.spacing-4,
span.spacing-4-1,
span.spacing-4-2-5,
span.spacing-4-5,
span.spacing-5,
span.spacing-6,
span.spacing-7,
span.spacing-8,
span.spacing-9,
span.spacing-10,
span.spacing-11,
span.spacing-12 {
  display: inline-block;
}

.loading-modal {
  background-color: #fff;
  margin: 0 auto;
  width: 30px;
  height: 30px;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -65px;
  margin-left: -15px;

  z-index: 131;
  box-shadow: 5px 5px 5px #999;
  border: 1px solid #efefef;
  padding: 10px;
  font-size: 13px;
}

.overlay {
  position: fixed;
  left: 0px;
  top: 0px;
  right: 0px;
  bottom: 0px;
  z-index: 100;
  background-image: url("./img/overlay.png");
}
.popup {
  background-color: #fff;
  position: fixed;
  top: 100px;
  width: 500px;
  left: 50%;
  margin-left: -250px;

  z-index: 101;
  box-shadow: 5px 5px 5px #999;
  border: 1px solid #efefef;
  padding: 10px;
  font-size: 13px;
}

.popup.big {
  width: 680px;
  margin-left: -340px;
}

.popup.bigger {
  width: 933px;
  margin-left: -480px;
  height: 525px;
}

.popup.headless {
  overflow: auto;
  width: 70%;
  margin-left: -35%;
  height: 80% !important;
  top: 5% !important;
}

.popup.headlessTypeB {
  overflow: auto;
  width: 70%;
  margin-left: -35%;
  height: 80% !important;
  top: 5% !important;
}

.popup.headlessJMS {
  width: 933px;
  margin-left: -480px;
  height: 675px !important;
  top: 50px !important;
}

.popup h1 {
  font-size: 13px;
  margin: 0px;
  padding: 0px;
  margin-bottom: 10px;
}

.popup fieldset {
  padding: 5px;
  margin: 5px;
  overflow: auto;
  display: block;
  height: 60px;
  border-top: 1px dotted #ebebe3;
  background-color: #ebebe3;
  min-width: -webkit-min-content;
  max-width: 500px;
  height: 95%;
}

.closePopup {
  width: 30px;
  height: 30px;
  display: block;
  background-image: url("./img/closebox.png");
  position: absolute;
  right: 0px;
  top: 0px;
  margin-top: -15px;
  margin-right: -15px;
}

.one-line > * {
    display: inline-block;
    vertical-align: bottom;
}

.footer.sita-container,
.footer.sita-container a,
.footer.sita-container a:visited {
  font-family: arial;
  font-size: 9px;
  color: #5d5d5d;
  margin-left: 15px;
  margin-right: 15px;
  height: 25px;
}

.footer.sita-container a:hover {
  color: #ee8c23;
  text-decoration-line: underline;
}

.boxContainer {
  width: 670px;
  margin: 0 auto;
  margin-top: 10%;
}

.box.boxContainer {
  padding-left: 30px;
  padding-top: 30px;
  padding-bottom: 60px;
  background-color: #ffffff;
  border-radius: 10px;
  background: rgba(255, 255, 255, 0.7);
}
.footer.boxContainer,
.footer.boxContainer a,
.footer.boxContainer a:visited {
  margin-top: 10px;
  font-size: 9px;
  color: #5d5d5d;
  margin-bottom: 30px;
}

.footer.boxContainer a:hover {
  color: #ee8c23;
  text-decoration-line: underline;
}
.center {
  margin: 0 auto;
}
.centerText {
  text-align: center !important;
}
.centerVertical {
  vertical-align: middle;
}
.right {
  float: right;
  padding-top: 5px;
}
.left {
  padding-top: 5px;
  float: left;
}
.clear {
  clear: both;
  height: 0px;
}

.tabs {
  border-bottom: 2px solid #e7e6dc;
  padding-top: 26px;
}

.tabs a {
  background-image: url("./img/tab_blue.png");
  background-repeat: repeat-x;
  background-color: #fcfcfc;
  color: #fff;
  padding: 9px 12px;
  display: block;
  float: left;
  border-radius: 7px 7px 0px 0px;
  border-width: 2px;
  margin-left: 7px;
  border-bottom-width: 0px;
  font-size: 14px;
  margin-bottom: -2px;
}

.tabs a.selected {
  padding: 7px 10px;
  background-image: none;
  color: #6f6e5f;
  height: 16px;
  border-top: 2px solid #e7e6dc;
  border-left: 2px solid #e7e6dc;
  border-right: 2px solid #e7e6dc;
  border-bottom: 2px solid #fcfcfc;
}

.marginBottom {
  margin-bottom: 10px;
}

.no-right-margin {
  margin-right: 0 !important;
}

.saveAndApply { 
  margin-right: 0 !important;
  margin-left: 10px;
}

.width-50 {
  width: 50%;
}

.button:hover,
.button.error:hover {
  background-image: url("./img/button_yellow.png");
  text-decoration: none;
}

.menu.right {
  font-size: 12px;
  color: #817569;
  margin-top: 35px;
  margin-right: 10px;
}
.menu.right a {
  color: #817569;
}
.menu.right a.selected {
  font-weight: bold;
}

.logo {
  width: 156px;
  height: 45px;
  background-image: url("./img/taxi_pro_small.png");
  background-repeat: no-repeat;
  margin-bottom: 10px;
  margin-top: 5px;
  margin-right: 40px;
  margin-left: 5px;
}
.pagination {
  width: 500px;
  height: 25px;
  text-align: right;
}
.pagination a {
  border: 1px solid #ddd;
  color: #0063e3;

  padding: 3px 6px;
  text-decoration: none;
  font-family: arial;
  font-size: 11px;
  margin-right: 3px;
  min-width: 15px;
  text-align: center;
}
.pagination a:hover {
  border: 1px solid #666;
}
.pagination a.selected {
  border-width: 0px;
  padding: 4px 7px;
  color: #ff0084;
}

.right.buttons {
  padding-top: 1px;
}
.left.display {
  padding-top: 2px;
  color: #817569;
  font-family: arial;
  font-size: 11px;
}
.footerBar {
  padding-top: 5px;
}

.loading {
  background-image: url("./img/loading.gif");
  width: 30px;
  height: 20px;
  margin: 0 auto;
  font-size: 8px;
  text-align: center;
  padding-top: 10px;
  background-repeat: no-repeat;
  background-position: center center;
  clear: both;
}

.loadingMessage {
  width: 200px;
  padding: 20px;
  margin: 0 auto;
  vertical-align: middle;
  text-align: center;
  font-size: 16px;
  font-weight: bold;
  border: 2px solid #e7e6dc;
  border-radius: 3px;
  background-color: #e7e6dc;
  color: #333;
}

.loading.table {
  background-color: #f5f5f5;
  width: 958px;
  min-height: 200px;
  border: 1px solid #e7e6dc;
}

table.grid {
  font-size: 12px;
  border-top: 1px solid #e7e6dc;
  border-bottom: 1px solid #e7e6dc;
  width: 100%;
  color: #333333;
  cursor: default;
  background-color: #fff;
}
table.grid thead {
  background-color: #e7e6dc;
  border-right: 1px solid #e7e6dc;
}

table.grid thead th {
  font-weight: normal;
  color: #817569;
  text-align: left;
  border-left: 1px solid #e7e6dc;
  border-bottom: 1px solid #e7e6dc;
  padding-left: 5px;
}

table.grid tbody tr {
  border-left: 1px solid #e7e6dc;
  border-right: 1px solid #e7e6dc;
}
table.grid td {
  padding: 5px;
}
table.grid tbody td {
  padding-bottom: 10px;
  padding-top: 10px;
}

table.grid a,
table.grid .right {
  text-transform: uppercase;
  font-size: 10px;
  color: #0079c1;
}

table.grid tr.locked {
  color: #f58220;
}

.accordionWrapper {
  background-color: #f0f8ff;
  overflow: hidden;
  padding-left: 10px;
  padding-bottom: 10px;
  padding-top: 10px;
  border-bottom: 1px solid #d5d5d5;
}

.tableAccordionTitle {
  cursor: pointer;
}

.noOpen {
  cursor: default;
  width: 1px;
}

.tableAccordionContent > td {
  padding: 0px !important;
}
.tableAccordionContent table.grid {
  font-size: 11px;
}

.tableAccordionContent table.grid thead th {
  font-weight: bold;
}

.tableAccordionContent table.grid tbody td {
  padding-bottom: 5px;
  padding-top: 5px;
}

table.columns {
  width: 100%;
}
table.columns > tbody > tr {
  border-width: 0px !important;
}
table.columns > tbody > tr > td {
  padding: 0px !important;
  padding-right: 10px !important;
}

.dgrid {
  height: auto;
  font-size: 12px !important;
  color: #333333;
}

.dgrid-tree-container {
  background-color: #f0f8ff !important;
}

.dgrid .dgrid-scroller {
  position: relative;
  overflow-y: hidden;
}
.has-ie-6 .dgrid .dgrid-scroller {
  overflow-y: visible;
}
.dgrid .dgrid-header-scroll {
  display: none;
}
.dgrid .dgrid-header {
  right: 0;
}

.dgrid .dgrid-cell {
  border-left-width: 0px;
  border-right-width: 0px;
  padding: 7px;
}
.dgrid .loading {
  margin-top: 20px;
  margin-bottom: 20px;
}

.dgrid .dgrid-footer {
  padding-top: 7px;
  padding-bottom: 7px;
}

.dgrid .dgrid-header {
  background-color: #e7e6dc;
  color: #817569;
  font-weight: normal;
}

.dgrid .dgrid-header .dgrid-cell {
  border-left-width: 1px;
}

.dgrid-row-even {
  border-top: 1px solid #ddddcc;
}

.dgrid-row-odd {
  background: #ebebfa !important;
  background-image: -moz-linear-gradient(
    top,
    rgba(235, 235, 250, 1) 0%,
    rgba(245, 245, 255, 1) 100%
  );
  background-image: -webkit-gradient(
    linear,
    left top,
    left bottom,
    color-stop(0%, rgba(235, 235, 250, 1)),
    color-stop(100%, rgba(245, 245, 255, 1))
  );
  background-image: -webkit-linear-gradient(
    top,
    rgba(235, 235, 250, 1) 0%,
    rgba(245, 245, 255, 1) 100%
  );
  background-image: -o-linear-gradient(
    top,
    rgba(235, 235, 250, 1) 0%,
    rgba(245, 245, 255, 1) 100%
  );
  background-image: -ms-linear-gradient(
    top,
    rgba(235, 235, 250, 1) 0%,
    rgba(245, 245, 255, 1) 100%
  );
  background-image: linear-gradient(
    top,
    rgba(235, 235, 250, 1) 0%,
    rgba(245, 245, 255, 1) 100%
  );
  border-top: 1px solid #ddddcc;
}

.leftBar {
  float: left;
  width: 250px;
  border: 1px solid #e7e6dc;
  margin-bottom: 10px;
  margin-right: 10px;
  background-color: #fff;
  font-size: 13px;
}

.errorBox {
  display: block;
  padding: 10px;
  border: 2px solid #999999;
  margin: 2px;
  margin-bottom: 6px;
}

.leftBarBottom {
  border-top: 1px solid #e7e6dc;
  padding: 10px;
}


.scrollBox {
  height: calc(100vh - 250px);
  overflow: hidden;
  overflow-y: auto;
}

.centerContent {
  float: left;
  border: 1px solid #e7e6dc;
  min-height: 500px;
  width: 695px;
  background-color: #fff;
  font-size: 13px;
  margin-bottom: 10px;
}

.fullWidthContent {
  flex: 1;
  float: left;
  border: 1px solid #e7e6dc;
  width: 100%;
  background-color: #fff;
  font-size: 13px;
}

.contentSubTitle {
  border-bottom: 1px solid #e7e6dc;
  padding: 9px;
  display: block;
  color: #333;
}
.menuItem {
  border-bottom: 1px solid #e7e6dc;
  padding: 9px;
  display: block;
  color: #333;
  /*height: 16px;*/
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-decoration: none;
}
.menuItem:hover {
  background-color: #eee;
}

.menuItem.selected {
  background-color: #ddd;
}

.formBox {
  padding: 10px;
}

.formTitle {
  font-family: arial;
  padding-top: 5px;
  padding-bottom: 10px;
  font-size: 11px;
  font-weight: normal;
  color: #0079c1;
}

.formLink {
  color: #333;
}

.fieldLine {
  margin-bottom: 10px;
}

.field {
  float: left;
}

.warning-icon {
  background-image: url("./img/warning-icon.png");
  width: 40px;
  height: 40px;
  background-size: 40px 40px;
  background-position: center center;
  background-repeat: no-repeat;
  float: left;
  margin-right: 10px;
}

.info-icon {
  background-image: url("./img/info-icon.png");
  width: 40px;
  height: 40px;
  background-size: 40px 40px;
  background-position: center center;
  background-repeat: no-repeat;
  float: left;
  margin-right: 10px;
}

.error-icon {
  background-image: url("./img/error-icon.png");
  width: 40px;
  height: 40px;
  background-size: 40px 40px;
  background-repeat: no-repeat;
  background-position: center center;
  float: left;
  margin-right: 10px;
}

.alert-icon-big {
  background-image: url("./img/ico_alert_big.png");
  width: 24px;
  height: 24px;
  margin-right: 10px;
}

.alert-icon-small {
  background-image: url("./img/ico_alert_small.png");
  width: 16px;
  height: 16px;
  padding-right: 16px;
  margin-right: 10px;
}

.alarm-icon-big {
  background-image: url("./img/ico_alarm_big.png");
  width: 24px;
  height: 24px;
  margin-right: 10px;
}

.alarm-icon-small {
  background-image: url("./img/ico_alarm_small.png");
  width: 16px;
  height: 16px;
  margin-right: 10px;
}

.display {
  font-weight: bold;
}

span.error {
  color: red;
  font-size: 13px;
}
span.error .inputText {
  border-color: red;
}

label.error .inputSelect {
  border-color: red;
}

.inputText {
  border: 1px solid #817569;
  font-size: 11px;
  font-family: arial, sans serif;
  padding-left: 3px;
  min-height: 18px;
}

.inputSelect {
  border: 1px solid #817569;
  padding: 2px;
  border-radius: 0px;
}

.inputText.small,
.inputSelect.small {
  width: 50px;
}

.inputText.big,
.inputSelect.big {
  width: 208px;
}

.inputText.veryBig,
.inputSelect.veryBig {
  width: 287px;
}

.statsBox {
  border-bottom: 1px solid #e7e6dc;
  padding: 9px;
  padding-bottom: 4px;
  cursor: default;
  font-size: 13px;
  margin-bottom: -1px;
}

.statsBox.channel {
  display: flex;
  justify-content: space-between;
}

.statsBox textarea {
  border-width: 0px;
  width: 100%;
  min-height: 80px;
}

.statsTitle {
  font-weight: bold;
  color: #333;
}

.statsError {
  color: red;
}

.statsInfo {
  color: #1E90FF;
}

.statsValueBox,
.statsErrorBox {
  width: 60px;
  border-radius: 3px;
  color: white;
  text-align: right;
  padding: 3px;
  font-weight: bold;
  font-size: 13px;
  height: 24px;
}

.chart {
  font-size: 13px;
  background-color: #fff;
  border: 1px solid #e7e6dc;
}

.chartCard {
  background-color: #ffffff;
  /* padding: 5p; */
}

.vmData {
  border: 1px solid #e7e6dc;
  margin-top: 10px;
  background-color: #fff;
  font-size: 13px;
}

.channelInfoLabel {
  width: 120px;
  display: inline-flex;
  font-size: smaller;
}

.channelInfoData {
  font-size: smaller;
  font-weight: bold;
}

.channelControlPanel {
  border-radius: 3px;
  background-color: white;
  padding: 10px;
  margin-right: 5px;
  font-size: smaller;
}

.channelControlTitle {
  display: block;
  font-weight: bold;
}

.channelStartStop {
  width: 110px;
}

.cellIcons {
  width: 250px;
}

.renderedStatus img {
  margin: -3px;
}

textarea.horizontalLock {
  resize: vertical;
}

.blank_hline {
  background-image: url(../static/img/hori_line.png);
  height: 20px;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 2px;
  padding-bottom: 2px;
  float: inherit;
}

.dialogTitle {
  padding: 10px;
  display: block;
  color: #333;
  font-size: 12px;
  font-weight: normal;
  color: #333333;
  background-color: #e7e6dc;
  border-bottom: 1px solid #e7e6dc;
  text-transform: uppercase;
  margin-bottom: 15px;
}

#configuration_AdvConn .fieldline {
  width: 350px;
}

/* CSS for Global Settings*/
.globalSettingsForm .gsCheckBox {
  display: block;
  margin-bottom: 3px;
}

.globalSettingsForm .networkBox {
  display: inline-block;
  border: 1px solid #e7e6dc;
  padding: 7px 7px 4px 7px;
}

.globalSettingsForm .gsCheckBox .disabled {
  color: #ebebe4;
}

/* Overwriting Dojo CSS*/
.nihilo .dgrid {
  border-color: #e7e6dc !important;
}

.dgrid-resize-header-container {
  font-weight: normal;
  background-color: #e7e6dc;
  color: #817569;
}

th.dgrid-column-0 {
  border-left: 0;
}

.dgrid-row-table tr {
  border: none;
}

.dgrid-row-table {
  width: 100%;
}



.tooltip {
  vertical-align: middle;
  display: inline-block;
}

.tooltip span {
  display: none;
  position: absolute;
  z-index: 10;
  margin-top: 20px;
  margin-left: -150px;
  width: 400px;
  box-shadow: 5px 5px 5px #999;
  padding: 10px;
  font-size: 11px;
  font-weight: normal;
  color: #333;
  background-color: #e7e6dc;
  border: 1px solid #e7e6dc;
  border-radius: 3px;
}

.tooltip:hover span {
  display: inline;
}

.tooltip-test {
  display: none;
}

.tooltip-large-error span {
  display: none;
  position: absolute;
  z-index: 9999;
  margin-top: 20px;
  margin-left: -150px;
  width: 450px;
  box-shadow: 5px 5px 5px #999;
  padding: 10px;
  font-size: 11px;
  font-weight: normal;
  color: #333;
  background-color: #fff;
  border: 1px solid #fd041b;
  border-radius: 3px;
}

.tooltip-large-error:hover span {
  display: inline;
}

.MuiTooltip-tooltip {
  background-color: #fff !important;
  color: #333 !important;
  font-size: 11px !important;
  border: 1px solid #fd041b !important;
  border-radius: 3px !important;
  width: 450px !important;
  box-shadow: 5px 5px 5px #999 !important;
}

/* Context Help */
.context-help-icon {
  background-image: url("./img/help.png");
  width: 20px;
  height: 20px;
  background-repeat: no-repeat;
  margin-top: -5px;
  margin-right: 0px;
}

.tsidHelpIcon {
  background-image: url("./img/help.png");
  width: 20px;
  height: 20px;
  background-repeat: no-repeat;
  margin-top: -5px;
  margin-right: 0px;

}

/* Generic Styles for Text */
.txtSpaceAfter {
  padding-bottom: 5px;
}

.txtBigSpaceAfter {
  padding-bottom: 15px;
}
.txtSpaceBefore {
  padding-top: 5px;
}

.txtSpaceLeft {
  padding-left: 3px;
}

.txtHighlight {
  font-weight: bold;
  color: #0069b4;
}

.txtStrong {
  font-weight: bold;
}

.txtDisabled {
  color: #a3a296;
}

.txtMarquee {
  font-weight: bold;
  color: #f58220;
}

.txtTinyLabel {
  font-size: 9px;
}

.txtFitInDiv {
  overflow: hidden;
}

.txtNoSpaceAfter {
  padding-bottom: 0px !important;
}

.txtRightAligned {
  text-align: right;
}

.txtCenterAligned {
  text-align: center;
}

.txtGroupTitle {
  font-weight: bold;
  color: #0069b4;
  background-color: #f6f6f6;
  padding-top: 4px;
  padding-bottom: 4px;
}

.txtHeadline {
  font-size: 1.5em;
  font-weight: normal;
}

a.txtCrud {
	font-weight: normal;
	color: #0069B4;
	text-decoration: none;
  cursor: pointer;
}

.popup-header {
  margin-bottom: -7px;
  margin-right: 10px;
  display: inline-block;
}

.margin-1 {
  margin: 3px;
}

.margin-2 {
  margin: 5px;
}

.margin-3 {
  margin: 10px;
}

.dijitDateTextBox {
  width: 90px !important;
}

.dijitCalendarSelectedDate {
  background-color: #ffe284 !important;
  border: #f7c95c solid 1px !important;
}

.dgrid-no-data,
.dgrid-loading {
  color: #aaa;
  font-size: 2em;
  padding: 2em;
  text-align: center;
}
.selfTestsInfoLabel {
  width: 50px;
  height: 20px;
  display: inline;
  font-size: smaller;
}
.selfTestsLabel {
  width: 200px;
  height: 20px;
  display: inline;
}
.selfTestsText_PASSED {
  font-size: smaller;
  font-weight: bold;
  color: green;
}
.selfTestsText_FAILED {
  font-size: smaller;
  font-weight: bold;
  color: red;
}
.selfTests_subTest_PASSED {
  background-image: url("./img/check-mark.png");
  width: 16px;
  height: 15px;
}

.selfTestsError {
  vertical-align: middle;
  display: inline-block;
}

.selfTestsError-icon {
  background-image: url("./img//error-icon.png");
  width: 16px;
  height: 15px;
}

.selfTestsError:hover > .selfTestsError-tooltip {
  display: inline;
}

.selfTestsError-tooltip {
  display: none;
  position: relative;
  z-index: 9999;
  box-shadow: 5px 5px 5px #999;
  padding: 10px;
  font-size: 11px;
  font-weight: normal;
  color: #333;
  background-color: #fff;
  border: 1px solid #fd041b;
  border-radius: 3px;
  float: left;
}

.selfTestsWarning {
  vertical-align: middle;
  display: inline-block;
}

.selfTestsWarning-icon {
  background-image: url("./img/alert-mark.png");
  width: 16px;
  height: 15px;
}

.selfTestsWarning:hover > .selfTestsWarning-tooltip {
  display: inline;
}

.selfTestsWarning-tooltip {
  display: none;
  position: relative;
  z-index: 9999;
  box-shadow: 5px 5px 5px #999;
  padding: 10px;
  font-size: 11px;
  font-weight: normal;
  color: #333;
  background-color: #fff;
  border: 1px solid #dc9b03;
  border-radius: 3px;
  float: left;
}

.statusCell {
  width: 200px;
}
.dateTimeCell {
  width: 250px;
}

.rulegrid {
  margin-bottom: 5px;
  height: 135px;
  overflow-y: auto;
}

.rulegrid .field-modify {
  width: 90px;
  padding: 3px;
}

.rulegrid .field-name > div {
  vertical-align: middle;
}

.rulegrid .dijitSelect {
  width: 100%;
  /* height: 100%; */
}

.rulegrid .dijitArrowButton {
  width: 11px;
}

.rulegridTypeX {
  margin-bottom: 5px;
  height: 235px;
  overflow-y: auto;
}

.rulegridTypeX .field-modify {
  width: 90px;
  padding: 3px;
}

.rulegridTypeX .field-name > div {
  vertical-align: middle;
}

.rulegridTypeX .dijitSelect {
  width: 100%;
  /* height: 100%; */
}

.rulegridTypeX .dijitArrowButton {
  width: 11px;
}

.dispatchContainerPopup {
  display: inline;
  height: 400px !important;
}
.dispatchContainerSmall {
  margin-top: 30px;
  height: 260px;
}

.dispatchContainerSmallAttachment {
  margin-top: 30px;
  height: 340px;
}

.dispatchContainerSmallAttachmentSDKCompact {
  margin-top: 30px;
  height: 360px;
}

.dispatchContainerSmallAttachmentSDKCompactFireFox {
  margin-top: 30px;
  height: 350px;
}

.dispatchContainerSmallAttachmentSDKCompactFireFoxSTXSession {
  margin-top: 30px;
  height: 385px;
}

.dispatchContainerSmallJMS {
  margin-top: 30px;
  height: 570px;
}
.dispatchContainerBig {
  margin-top: 30px;
}

.dispatchContainerBigHeadlessTypeX {
  margin-top: 30px;
}

label.labelPopupHeadless {
  width: 106%;
}

.dispatchLeft {
  display: inline-block;
  width: 100%;
}
.outgoing-headless {
  display: inline-block;
  width: 100%;
  height: 50%;
}
.dispatchCenter {
  display: inline-block;
  float: center;
  width: 930px !important;
  height: 275px;
}
.dispatchCenterSmall {
  display: inline-block;
  float: center;
  width: 680px !important;
  height: 260px;
}
.dispatchCenterSmallJMS {
  display: inline-block;
  float: center;
  width: 680px !important;
  height: 345px;
}
.dispatchRight {
  display: inline;
  float: right;
  width: 450px;
}
.dispatchNoEnvelopeTypeX {
  display: inline;
  float: none;
  width: 933px;
}
.rulesFormSmall {
  float: right;
  height: 255px;
  width: 420px;
  margin-left: 30px;
}
.rulesForm {
  /* height: 100%; */
  width: 100%;
}
.recipientList {
  border-color: #c0c0c0;
  border-style: solid;
  border-width: 1px;
  width: 100%;
  margin-bottom: 10px;
  height: 50%;
}
.recipientTitle {
  margin-left: 5px;
  margin-top: 5px;
}
.recipientFirstLabel {
  width: 30px;
  display: inline-flex;
  font-size: smaller;
  margin-left: 82px;
  margin-top: 5px;
}
.recipientLabel {
  width: 30px;
  display: inline-flex;
  font-size: smaller;
  margin-left: 170px;
}

.tsidBox {
  display: flex;
  border-radius: 3px;
  color: white;
  text-align: center;
  align-items: center;
  padding: 2px;
  font-size: 12px;
  height: 22px;
  margin-right: 3px;
  margin-top: -1px;
  /* overflow: hidden; */
  background-image: url("./img/button_orange.png");
}

.space-after {
  margin-bottom: 7px;
}

/* DatePicker */
.input-container-date-picker {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-size: 13px;
  margin-top: 0px;
  width: 270px;
}

.input-container-date-picker .react-datepicker-wrapper input {
  margin: 0px 0;
  text-align: center;
  padding: 0px 0px;
  max-width: 80px;
  border: 1px solid #a9a9a9;
  height: 18px;
  font-size: 11px;
  font-family: arial, sans serif;
}

.react-datepicker-ignore-onclickoutside {
  border: 1px solid #a9a9a9;
  font-size: 12px;
  font-family: arial, sans serif;
  padding-left: 3px;
  height: 18px;
  max-width: 80px;
}

/* New layout */
.statsValueBox1 {
  color: white;
  font-weight: 700;
  background-image: url("./img/button_orange.png");
  text-align: center;
  height: 100%;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  word-break: break-word;
}
.statsValueBox2 {
  background-image: url("./img/tab_blue.png");
  text-align: center;
  border-radius: 5px;
  color: white;
  height: 100%;
  font-family: arial, sans serif;
  display: flex;
  align-items: center;
  justify-content: center;
}
#main-navbar {
  font-family: "Arial" !important;
}

#main-navbar > .navbar-nav{
	border-bottom: 1px solid #a5a5a5;
}
#main-navbar > .navbar-nav > a {
  border: 1px solid #a5a5a5;
  border-radius: 10px 10px 0px 0px;
  border-bottom: 0px;
  vertical-align: middle;
  text-align: center;
  font-size: 20px;
  font-weight: 500;
}

html, body, #root {
  height: 100%;
}

#root {
  display: flex;
  flex-direction: column;
 }

 .homepageFooter {
 height:35px;
 /* width: 100%; */
 background-repeat: repeat;
 background-attachment: scroll;
 background-position: 0% 0%;
 position: fixed;
 bottom: 0pt;
 left: 0pt;
 background-color: #ebebe3;
 }

 .logoutBar {
  justify-content: flex-end;
 }

 .header {
   /* width: 100%; */
    padding-right: 0px;
    padding-left: 0px;
    margin-right: auto;
    margin-left: auto;
    
 }

.Navlinks {
    background-image: url("./img/tab_blue.png");
    border-radius: 5px;
    color: #ffffff !important;
    padding: 2px 10px;
    font-size: 20px;
    margin-right: 10px;
    cursor: pointer;
    white-space: nowrap;
}
.Navstack a:hover{
  color: #ffffff !important;
  background-image: url("./img/button_yellow.png");
  text-decoration: none;
}

.Navoptions {
  background-image: url("./img/tab_blue.png");
  border-radius: 5px;
    color: #ffffff !important;
    padding: 2px 10px;
    font-size: 15px;
    margin-right: 10px;
    cursor: pointer;
    white-space: nowrap;
}

.Navlinks a:hover{
  color: #ffffff !important;
  background-image: url("./img/button_yellow.png");
  text-decoration: none;
}

.Navoptions a:hover{
  color: #ffffff !important;
  background-image: url("./img/button_yellow.png");
  text-decoration: none;
}

.Taboptions {
  border-radius: 5px;
    color: #ffffff !important;
    padding: 2px 10px;
    font-size: 15px;
    margin-right: 0px;
    cursor: pointer;
    white-space: nowrap;
    padding-right: 60px;
    padding-left: 0px;
    margin-right: auto;
    margin-left: auto;
}

.MonitoringTabs {
  background: #5d5d5d;
}

.logo {
  margin-right: 1rem;
}

.layoutFooter {
  height:60px;
  /* width: 100%; */
  background-repeat: repeat;
  background-attachment: scroll;
  background-position: 0% 0%;
  background-color: #ebebe3;
}

.loginContainer { 
  height: 100vh;
}

.topNavigation {
  margin-top: 75px;
}

.headingBox {
  background-color: #ebebe3;
}

.systemHealthContainer {
  background-color: #ffffff;
  padding-top: 2px;
  color: #817569;
  font-family: arial;
  font-size: 11px;
}

.sysHealthButtons {
  margin-top: 10px;
}

.ul.list {
  border: 1px solid #e7e6dc;
  margin-top: 20px;
  background-color: #fff;
  font-size: 13px;
}

.sysInformation {
  width: 100%;
  background-color: #ffffff;
}

.footerLogo {
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: #f5f5f5;
    padding: 10px;
}

/* .inline-block-textarea {
  display: inline-block;
  font-family: monospace, monospace;
  width: 100%;
} */
.inline-block-textarea {
  width: 100%;
  display: grid;
  font-family: monospace, monospace;
}

/* Adjust centered-links for centering the NavLinks */
.centered-links {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-grow: 1;
}

#right {
  display: flex;
  align-items: center;
}

.nav-link-wrapper {
  background-image: url("./img/tab_blue.png");
  border-radius: 5px;
  color: #ffffff !important;
  padding: 2px 10px;
  font-size: 20px;
  margin-right: 10px;
  cursor: pointer;
  white-space: nowrap;
}

.nav-link-styled {
  background-image: url("./img/tab_blue.png");
  border-radius: 5px;
  color: #ffffff !important;
  padding: 2px 10px;
  font-size: 20px;
  margin-right: 10px;
  cursor: pointer;
  white-space: nowrap;
}

    /* Navbar CSS */
.centered-links .nav-link  {
  background-image: url("./img/tab_blue.png");
  border-radius: 5px;
  color: #ffffff !important;
  padding: 2px 10px;
  font-size: 18px;
  margin-right: 10px;
  cursor: pointer;
  white-space: nowrap;
}

.centered-links .nav-link :hover {
  color: #ffffff !important;
  background-image: url("./img/button_yellow.png");
  text-decoration: none;
}

.navbar .navbar-text a {
  background-image: url("./img/tab_blue.png");
  border-radius: 5px;
  color: #ffffff !important;
  padding: 2px 10px;
  font-size: 15px;
  margin-right: 10px;
  cursor: pointer;
  white-space: nowrap;
  background-color: #817569;
}

.navbar .navbar-text a:hover {
  color: #ffffff !important;
  background-image: url("./img/button_yellow.png");
  text-decoration: none;
}




 /* Tab Options to replicate look of navbar */
 /* .tabpanel {
  background-image: url("./img/tab_blue.png");
  border-radius: 5px;
  color: #ffffff !important;
  padding: 2px 10px;
  font-size: 20px;
  margin-right: 10px;
  cursor: pointer;
  white-space: nowrap;
}
.TabList a:hover{
color: #ffffff !important;
background-image: url("./img/button_yellow.png");
text-decoration: none;
}

.Tabs {
background-image: url("./img/tab_blue.png");
border-radius: 5px;
  color: #ffffff !important;
  padding: 2px 10px;
  font-size: 15px;
  margin-right: 10px;
  cursor: pointer;
  white-space: nowrap;
} */

.centered-links .nav-link:hover {
  background-image: url("./img/button_yellow.png");
  /* Other styles for hover */
}

.nav-link-tabs {
  /* Your styles for nav-link-tabs */
  background-image: url(./img/tab_blue.png);
  border-radius: 5px;
  color: #ffffff !important;
  padding: 2px 10px;
  font-size: 15px;
  margin-left: 10px;
  cursor: pointer;
  white-space: nowrap;
  background-color: #817569;
}

.nav-link-tabs:hover {
  background-image: url("./img/button_yellow.png");
}

.nav-link-tabs:visited {
  background-image: url("./img/button_yellow.png");
  background-color: #f1c40f;
  color: #ffffff !important;
}

/* Active tab styling */
.tabSelected {
  background-image: url("./img/button_yellow.png");
  background-color: #f1c40f; /* Ensure a yellow background for active tab */
  color: #ffffff !important;
}

.centered-links a,
.centered-links a:visited {
  background-image: url("./img/button_yellow.png");
  border-radius: 5px;
  color: #ffffff !important;
  padding: 2px 10px;
  font-size: 18px;
  margin-right: 10px;
  cursor: pointer;
  white-space: nowrap;
}


.Navlinks a:hover{
color: #ffffff !important;
background-image: url("./img/button_yellow.png");
text-decoration: none;
}

.nav-link:hover {
  color: #ffffff !important;
  background-image: url("./img/button_yellow.png");
  /* Other hover styles */
}

.nav-link:visited {
  color: #ffffff !important;
  background-image: url("./img/button_yellow.png");
  /* Other hover styles */
}

.Navoptions a:hover{
color: #ffffff !important;
background-image: url("./img/button_yellow.png");
text-decoration: none;
}

li
{
    list-style-type: none;
    background-color: #ffffff;
    padding: 5px;
}

.modalDialog {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
  z-index: 1000; /* Ensure modal is on top of other content */
  display: flex;
  justify-content: center;
  align-items: center;
}

.modalDialog-content {
  background-color: #fff;
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}

/* SMB: Adding custom styling for "sub forms" */
.form-fieldset {
  margin: 0px;
  padding: 10px;
  border: 1px solid #c0c0c0;
  box-sizing: border-box;
  overflow-wrap: break-word;
}

.form-legend {
  float: none;
  width: inherit;
  box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 5px;
  white-space: normal;
  font-size: 13px;
  margin-bottom: 0;
}

.routing_radiobuttons {
  width: 150px;
  padding-top: 5px;
}

.fullWidth {
	width: 100%
}